#!/bin/bash
set -e
echo '*** quiesce'
# Quiesce all WS proxies - change the default timeout to 240 seconds
dpbuddy quiesce -objects WSGateway -timeout 240
# Un-quiesce all WS proxies
dpbuddy unquiesce -objects WSGateway
# Quiesce the current domain (the one defined by dp.domain property)
dpbuddy quiesceDomain
# Un-quiesce the current domain
dpbuddy unquiesceDomain
# Quiesce all domains
dpbuddy quiesceDomain -domainPatterns ".*"
# Unquiesce all domains
dpbuddy unquiesceDomain -domainPatterns ".*"
