#!/bin/bash
set -e
echo '*** domain.sh'
dpbuddy restartDomain
dpbuddy resetDomain
# Create domain, change the default number of checkpoints
dpbuddy createDomain -maxCheckpoints 5

# Delete the domain if exists and then create it. This will wipe out the domain's configuration and all the files
dpbuddy createDomain -delete -save

# list all domains and their statuses
dpbuddy listDomains
