@echo off
call dpbuddy copy -toDir "/services/wsdl" -flatten -dir "./" -includes "dpfiles/**/*.wsdl dpfiles/**/*.xsd" -cleanDirectories -flushCache
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy download -include "local:/services/.*" -toDir download -cleanToDir
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy delete -include "local:/.*\.xsd" -matchRequired false -dryRun true
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy mkdir -dir "/dir1/dir2"
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy rmdir -dir "/dir1/dir2"
if %errorlevel% neq 0 (exit /b %errorlevel%)


